%define _disable_ld_no_undefined 1

%define fversion %{version}
%define major 0
%define decmajor 1
%define encmajor 1
%define libname %mklibname theora %major
%define libnamedec %mklibname theoradec %decmajor
%define libnameenc %mklibname theoraenc %decmajor
%define develname %mklibname -d theora

Summary: Theora video compression codec
Name: libtheora
Version: 1.1.1
Release: %mkrel 5
Source0: http://downloads.xiph.org/releases/theora/%{name}-%{fversion}.tar.bz2
#gw this is from texlive, it is not part of tetex
Source1: ltablex.sty
URL: http://www.theora.org/
License: BSD
Group: System/Libraries
BuildRequires: automake >= 1.7.9
BuildRequires: autoconf2.5 >= 2.54
BuildRequires: libvorbis-devel >= 1.0.1
BuildRequires: libSDL-devel
BuildRequires: zlib-devel

%description
Ogg Theora is a fully open, non-proprietary, patent-and-royalty-free,
general-purpose compressed video format.

%package -n %{libname}
Summary: Theora video compression codec
Group: System/Libraries
Provides: %{name} = %{version}-%{release}

%description -n %{libname}
Ogg Theora is a fully open, non-proprietary, patent-and-royalty-free,
general-purpose compressed video format.

%package -n %{libnamedec}
Summary: Theora video decoder
Group: System/Libraries

%description -n %{libnamedec}
Ogg Theora is a fully open, non-proprietary, patent-and-royalty-free,
general-purpose compressed video format.

%package -n %{libnameenc}
Summary: Theora video encoder
Group: System/Libraries

%description -n %{libnameenc}
Ogg Theora is a fully open, non-proprietary, patent-and-royalty-free,
general-purpose compressed video format.

%package -n %develname
Summary: Headers for developing programs that will use %{name}
Group: Development/C
Requires: libogg-devel >= 1.0.1
Requires: %libname = %version
Requires: %libnameenc = %version
Requires: %libnamedec = %version
Provides: %name-devel = %version-%release
Obsoletes: %mklibname -d theora 0


%description -n %develname
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q -n %name-%fversion
cp %SOURCE1 doc/spec/

%build
%configure2_5x
%make

%install
rm -rf %{buildroot} installed-docs
%makeinstall_std docdir=%_datadir/doc/libtheora
mv %buildroot%_datadir/doc/libtheora installed-docs
rm -f installed-docs/doxygen-build.stamp

%check
make check

%files -n %libname
%doc README COPYING
%_libdir/libtheora.so.%{major}*

%files -n %libnamedec
%doc README COPYING
%_libdir/libtheoradec.so.%{decmajor}*

%files -n %libnameenc
%doc README COPYING
%_libdir/libtheoraenc.so.%{encmajor}*

%files -n %develname
%doc installed-docs/*
%_includedir/theora
%_libdir/libtheora*a
%_libdir/libtheora*so
%_libdir/pkgconfig/theora.pc
%_libdir/pkgconfig/theoradec.pc
%_libdir/pkgconfig/theoraenc.pc


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.1.1-5.mga3
+ Revision: 358245
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 ovitters <ovitters> 1.1.1-4.mga3
+ Revision: 323455
- clean spec
- fix rpm group

* Fri Jan 14 2011 ahmad <ahmad> 1.1.1-3.mga2
+ Revision: 17529
- drop old/unneeded scriptlets
- imported package libtheora

